<div class="panel panel-info">
    <div class="panel-heading">
        <h2> Daftar Optical : {{ optical | length}} </h2>
        <a href="{% url 'lab-9:clear_session_item' 'optical'%}" class="btn btn-danger" onclick="return confirm('Reset data?')">
            Reset Favorite Optical
        </a>
    </div>
    <div class="panel-body">
        <table class="table">
            <thead>
            <th> No</th>
            <th> Nama</th>
            <th> Harga</th>
            <th> Jumlah</th>
            <th> Aksi </th>

            </thead>
            <tbody>
            {% for optic in optical %}
            <tr>
                <td> {{ forloop.counter }}</td>
                <td> {{ optic.name }}</td>
                <td> {{ optic.price }}</td>
                <td> {{ optic.quantity }}</td>
                <td>
                    {% if not optic.id in fav_optical %}
                    <a href="{% url 'lab-9:add_session_item' 'optical' optic.id %}" class="btn btn-primary"> Favoritkan </a>
                    {% else %}
                    <a href="{%url 'lab-9:del_session_item' 'optical' optic.id %}" class="btn btn-primary"> Hapus dari favorit </a>
                    {% endif %}
                </td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
